Accounts - Get
Retourneert accountresource voor een bepaalde naam.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.GraphServices/accounts/{resourceName}?api-version=2023-04-13
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is niet hoofdlettergevoelig. |
|
resource
|
path | True |
string |
De naam van de resource. |
|
subscription
|
path | True |
string minLength: 1 |
De id van het doelabonnement. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Accountgegevens. |
|
| Other Status Codes |
Foutreactie waarin de reden voor de bewerkingsfout wordt beschreven. |
Beveiliging
azure_auth
Azure Active Directory OAuth2-stroom
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Get accounts
Voorbeeldaanvraag
Voorbeeldrespons
{
"name": "11111111-aaaa-1111-bbbb-111111111111",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testResourceGroupGRAM/providers/Microsoft.GraphServices/accounts/11111111-aaaa-1111-bbbb-111111111111",
"type": "Microsoft.GraphServices/accounts",
"tags": {
"tag1": "value1",
"tag2": "value2"
},
"properties": {
"provisioningState": "Succeeded",
"appId": "11111111-aaaa-1111-bbbb-111111111111"
}
}
Definities
| Name | Description |
|---|---|
|
Account |
Accountgegevens |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
| Properties |
Eigenschapstas van factureringsrekening |
|
Provisioning |
Inrichtingsstatus. |
|
System |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
AccountResource
Accountgegevens
| Name | Type | Description |
|---|---|---|
| id |
string |
Azure-resource-id. |
| location |
string |
Locatie van de resource. |
| name |
string |
Azure-resourcenaam. |
| properties |
Eigenschapstas van factureringsrekening |
|
| systemData |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
|
| tags |
object |
resourcetags. |
| type |
string |
Azure-resourcetype. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
Properties
Eigenschapstas van factureringsrekening
| Name | Type | Description |
|---|---|---|
| appId |
string pattern: (^[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}?)$ |
Toepassings-id van klant |
| billingPlanId |
string pattern: (^[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}?)$ |
Id van factureringsplan |
| provisioningState |
Inrichtingsstatus. |
ProvisioningState
Inrichtingsstatus.
| Waarde | Description |
|---|---|
| Succeeded | |
| Failed | |
| Canceled |
SystemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |